Search the Community
Showing results for tags 'rectangle'.
-
Hey Guys, I found some old posts from 2010 asking about the Rectangle function with SNAPANG. Is this possible in AutoCad 2022? Seems kinda basic to me to at least have the option for this
-
Checking Rectangle height with if Statement not working
Brok posted a topic in AutoLISP, Visual LISP & DCL
Hi, I want to check for the width and height of a Rectangle. I got this code (defun getRect () (if (setq rec (ssget "_X" (list '(0 . "LWPOLYLINE") '(8 . "LAYOUT") '(90 . 4) (cons 410 (getvar "ctab")) ))) (progn (setq e (ssname rec 0))...- 9 replies
-
- if function
- rectangle
-
(and 1 more)
Tagged with:
-
I'm modeling a dynamic block. It represent a simple floor plan chimney. The dynamic block has six stretch actions. Three stretch actions are displayed in the properties menu. Two strectch actions have grip points. The total width and length. Tree stretch actions are chaind. They stretc...
-
hello, I'm frequently placing metal anchors for foundations. To do this i align those on the center lines. I've found a LISP what does what i need, creating the center lines of the rectangles. Can i add some code so i can select multiple polylines? Than...
- 7 replies
-
- centerline
- rectangle
-
(and 2 more)
Tagged with:
-
Hai all, i have a lisp that gives me Length and Width of Rectangles that i select into a Table in cad. the table gives me the length and width as per incremental in size (eg:{ 1x2, 1.2x2, 2.1x3 } like wise) i have attached a screenshot of this, and also joins same size rectangle in one cell and sho...
-
Hi All, I was wondering if there was a lisp routine out there that when you drop a dtext string into a rectanlge that it would shrink down to fit inside? I looked at the text fit command in the express tools but it only shrinks or stretches the length. Thanks, Brian
-
Rectangle to viewports LISP help:How do you increase the overall scale of a viewport.
3dwannab posted a topic in AutoLISP, Visual LISP & DCL
See screenshot of what my routine does. It creates new vports from closed LWpolylines and locks them. I just don't know how to do the same as this below. GIF of Routine: CODE: ;; ----------------------=={ VP_Clip_All_LWPS }==------------------------- ;; -------------------------... -
Hello, I am looking for the next lisp. I need to create a plline (for example a rectangle) wherever I want inside the model. Then, the routine will ask me about the distance between coordinate tic marks (x) , the plot scale (1/500 for example) and the height text. Then I will click the rectangle...
-
Hello! Does anyone know a routine that enables provide real-time the sum of areas of rectangles as you draw consecutively?
-
Hello Euclid's algorithm: tiling a rectangle (any size) with squares - Can this be done with lisp routine? Regards
-
Running Pline then executing a custom command in same lisp! Help!
tmelancon posted a topic in AutoLISP, Visual LISP & DCL
I have written a little small command to run revision cloud on last object (i.e. rectangle, pline, circle...etc) and it works fine but I was trying to figure out a way to run that custom command after drawing my rectangle or pline. Instead of having to type the shortcut immediately after, every time... -
Center Text in Box - From ENTSEL to SSGET?
ILoveMadoka posted a topic in AutoLISP, Visual LISP & DCL
I found this code on the web somewhere and it works great for a single line of text. I would like to be able to select multiple lines of text and have it do the same. To center several lines of text in an existing rectangle. I am hoping someone already has code to do this rather than hoping som...- 26 replies
-
- box
- center text in box
-
(and 2 more)
Tagged with:
-
I have drawn a rectangle, using the rectangle command. Now I want to enlarge it only in one edge. I wanted to use those small squares (Don't remember their name), however I find out that there is no middle square to move one edge. It only moves the corner and shape become un rectangl...
-
Extracting the coordinates from a rectangle in modelspace
chiimayred posted a topic in AutoLISP, Visual LISP & DCL
Hey guys, I'm trying to get the four corners of a rectangle in modelspace set to variables and I'm having a hard time with it. I'm able to get the four corners into a list, but I'm having a hard time setting each coordinate to a variable. The issue I'm having at this point is that the se...- 3 replies
-
- polyline
- coordinates
-
(and 2 more)
Tagged with:
-
How do I center the text in the rectangle and repeat the last input?
BrianTFC posted a topic in AutoLISP, Visual LISP & DCL
Hi All, I'm having a little trouble figuring out how to center my text in the middle of the rectangle after its created. Here's what I have so far, it works but it waits for me to place it. Also I do a lot of panels that are the same size so I also want the lisp to remember the last input so I c...- 20 replies
-
- repeat last input
- rectangle
-
(and 3 more)
Tagged with:
-
Wierd Rectangle Command in Autocad 2010
Sengna posted a topic in AutoCAD 2D Drafting, Object Properties & Interface
I don't really have problem with using rectangle command but on this drawing, when i drew the rectangle, i specified the first corner and second corner then i didn't get the closed rectagle as i used to have in the past, i still can't figure it out what happened. However i could type C for CLOSE to... -
Hi everyone, I ran into a weird issue when I tried to create a rectangle off of a base point. Whenever I type in the x and y coordinates, a rectangle is created however the coordinate i typed in is now the end point and the rest of the rectangle extends to the bottom left of my screen and is be...
- 9 replies
-
- coordinates
- base point
-
(and 1 more)
Tagged with:
-
Hi folks. What I am trying to do is something very basic: drawing a rectangle. But apparently autoCAD is acting up and wouldn't let me draw it. After clicking the rectangle button located at the top, I tried to draw a rectangle in the sketch area and this is what I got. Any input on the matter, othe...
-
Hello! I was wondering how I would go about writing a function that would calculate the length of a diagonal of a rectangle using SQRT function? I've been trying but so far nothing! Thanks!
-
Hi Forum, First of all, I know this is a well discussed topic and still: Please dont blame me for not using the search function or the helpfile - honestly: I tried it all and thorough. Im at Autocad 2012. When I start drawing a line from a specific point in the drawing and type in the di...
- 5 replies
-
- rectangle
- autocad 2012
-
(and 1 more)
Tagged with:
-
I am trying to select a rectangle in a filter definition. However in the selection box I couldn't find the rectangle. What is wrong with my steps.
-
Hi All, Here is what i'm looking for a lisp routine that when i copy rectanlges that are spaced 1/2" or so a part that when i place the copy back into the drawing it spreads them apart 24" or so. thanks, Brian
-
I want to achieve exactly the same thing as shown in this video http://www.youtube.com/watch?v=0hlLIkXxIxk&feature=related I did as instructed and confirmed that I want to transform it to a mesh. But as I proceed and push the Smooth Object button, I receive the following message: ‘A smoo...
-
I want to draw a square with a line as its side given. I am looking for a rapid solution, like pressing shift while using rectangle command to make two sides equal. Is there any such a short cut for square?